package com.yanzhu.jh.video.domain;

import java.io.Serializable;
import java.util.Date;
import java.util.Map;

public class DevAiProjectDataVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 设备ID */
    private Long DeviceId;

    /** 设备名称 */
    private String DeviceName;

    /** 设备网口 0 IP 地址 */
    private String DeviceAddr0;

    /** 设备网口 1 IP 地址 */
    private String DeviceAddr1;

    /** 设备的序列号 */
    private String SerialNumber;

    /** 相机的序列号 */
    private String IPCSerialNum;

    /** 相机的 IP 地址 */
    private String IPCAddr;

    /** 通道号，用来唯一标识任务 ID */
    private Long ChannelId;

    /** 通道名称 */
    private String ChannelName;

    /** 报警类型 */
    private Long AlarmType;

    /** 告警 ID */
    private Long AlarmId;

    /** 上报间隔 */
    private String ReportRate;

    /** 采集时间 */
    private Long Timestamp;

    /** 左上角 X 坐标 */
    private String LeftTopX;

    /** 左上角 Y 坐标 */
    private String LeftTopY;

    /** 右下角 X 坐标 */
    private String RightBtmX;

    /** 右下角 Y 坐标 */
    private String RightBtmY;

    /** 当前告警区域人数 */
    private Long PersonNum;

    /** 绊线进入人数数量 */
    private Long InNum;

    /** 绊线离开人数数量 */
    private Long OutNum;

    /** 车牌号 */
    private Long PlateNo;

    /** ValueType 为 1 时，代表明火检测；ValueType 为 2 时，代表烟雾检测； */
    private String ValueType;

    /** 告警短视频的地址 */
    private String AlarmVideourl;

    /** 告警短视频的名称 */
    private String AlarmVideoName;

    /** 人脸比对结果 */
    private String CompareResult;

    private Map<String, Object> BigImage;

    public Long getDeviceId() {
        return DeviceId;
    }

    public void setDeviceId(Long deviceId) {
        DeviceId = deviceId;
    }

    public String getDeviceName() {
        return DeviceName;
    }

    public void setDeviceName(String deviceName) {
        DeviceName = deviceName;
    }

    public String getDeviceAddr0() {
        return DeviceAddr0;
    }

    public void setDeviceAddr0(String deviceAddr0) {
        DeviceAddr0 = deviceAddr0;
    }

    public String getDeviceAddr1() {
        return DeviceAddr1;
    }

    public void setDeviceAddr1(String deviceAddr1) {
        DeviceAddr1 = deviceAddr1;
    }

    public String getSerialNumber() {
        return SerialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        SerialNumber = serialNumber;
    }

    public String getIPCSerialNum() {
        return IPCSerialNum;
    }

    public void setIPCSerialNum(String IPCSerialNum) {
        this.IPCSerialNum = IPCSerialNum;
    }

    public String getIPCAddr() {
        return IPCAddr;
    }

    public void setIPCAddr(String IPCAddr) {
        this.IPCAddr = IPCAddr;
    }

    public Long getChannelId() {
        return ChannelId;
    }

    public void setChannelId(Long channelId) {
        ChannelId = channelId;
    }

    public String getChannelName() {
        return ChannelName;
    }

    public void setChannelName(String channelName) {
        ChannelName = channelName;
    }

    public Long getAlarmType() {
        return AlarmType;
    }

    public void setAlarmType(Long alarmType) {
        AlarmType = alarmType;
    }

    public Long getAlarmId() {
        return AlarmId;
    }

    public void setAlarmId(Long alarmId) {
        AlarmId = alarmId;
    }

    public String getReportRate() {
        return ReportRate;
    }

    public void setReportRate(String reportRate) {
        ReportRate = reportRate;
    }

    public Long getTimestamp() {
        return Timestamp;
    }

    public void setTimestamp(Long timestamp) {
        Timestamp = timestamp;
    }

    public String getLeftTopX() {
        return LeftTopX;
    }

    public void setLeftTopX(String leftTopX) {
        LeftTopX = leftTopX;
    }

    public String getLeftTopY() {
        return LeftTopY;
    }

    public void setLeftTopY(String leftTopY) {
        LeftTopY = leftTopY;
    }

    public String getRightBtmX() {
        return RightBtmX;
    }

    public void setRightBtmX(String rightBtmX) {
        RightBtmX = rightBtmX;
    }

    public String getRightBtmY() {
        return RightBtmY;
    }

    public void setRightBtmY(String rightBtmY) {
        RightBtmY = rightBtmY;
    }

    public Long getPersonNum() {
        return PersonNum;
    }

    public void setPersonNum(Long personNum) {
        PersonNum = personNum;
    }

    public Long getInNum() {
        return InNum;
    }

    public void setInNum(Long inNum) {
        InNum = inNum;
    }

    public Long getOutNum() {
        return OutNum;
    }

    public void setOutNum(Long outNum) {
        OutNum = outNum;
    }

    public Long getPlateNo() {
        return PlateNo;
    }

    public void setPlateNo(Long plateNo) {
        PlateNo = plateNo;
    }

    public String getValueType() {
        return ValueType;
    }

    public void setValueType(String valueType) {
        ValueType = valueType;
    }

    public String getAlarmVideourl() {
        return AlarmVideourl;
    }

    public void setAlarmVideourl(String alarmVideourl) {
        AlarmVideourl = alarmVideourl;
    }

    public String getAlarmVideoName() {
        return AlarmVideoName;
    }

    public void setAlarmVideoName(String alarmVideoName) {
        AlarmVideoName = alarmVideoName;
    }

    public String getCompareResult() {
        return CompareResult;
    }

    public void setCompareResult(String compareResult) {
        CompareResult = compareResult;
    }

    public Map<String, Object> getBigImage() {
        return BigImage;
    }

    public void setBigImage(Map<String, Object> bigImage) {
        BigImage = bigImage;
    }
}
